/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.tools;

import java.util.EventListener;

/**
 * The listener interface for update on changes in a boolean property.
 * @author Konrad Rudolph
 */
public interface BooleanChangeListener extends EventListener {
    /**
     * Invoked to report a change in a boolean property.
     */
    void changed(BooleanChangeEvent e);
}
