/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.tools.cluster;

import java.io.Serializable;
import java.util.*;

/**
 * @author belau
 */

public class Leaves implements Serializable {
    private static final long serialVersionUID = 5636678831392506679L;

    public String member;
    public String member1;
    public String name;
    public String label;
    public Vector<String> result;
    public Vector<Integer> lmember;
    public int memberNo;

    public Leaves(String name, String member, String label, int memberNo,
            Vector<String> result, Vector<Integer> lmember) {
        this.name = name;
        this.label = label;
        this.member = member;
        this.memberNo = memberNo;
        this.result = result;
        this.lmember = lmember;
    }
}
