/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import java.awt.BasicStroke;
import java.awt.Stroke;
import org.apache.commons.collections15.Transformer;

/**
 *
 * @author Jens Einloft
 */
public class EdgeStrokeTransformer implements Transformer<NetViewerEdge, Stroke> {

    private Integer strokeFactor;

    public EdgeStrokeTransformer(Integer strokeFactor) {
        this.strokeFactor = strokeFactor;
    }

    public Stroke transform(NetViewerEdge i) {
            return new BasicStroke(strokeFactor);
    }
}
